package com.qmth.cqb.question.model;

import org.springframework.data.annotation.Id;

import com.qmth.cqb.utils.enumeration.QuesStructType;

import java.io.Serializable;
import java.util.Map;

/**
 * 试题结构类型(单选、多选、判断等)
 * Created by songyue on 16/12/28.
 */
public class QuestionType implements Serializable{
    private static final long serialVersionUID = -4183850561167604080L;

    @Id
    private long id;

    private QuesStructType quesType;//类型名称

    private String name;//类型标题

    private Map params;//类型参数

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }


    public long getId() {
		return id;
	}


	public void setId(long id) {
		this.id = id;
	}


	public QuesStructType getQuesType() {
		return quesType;
	}


	public void setQuesType(QuesStructType quesType) {
		this.quesType = quesType;
	}


	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}


	public static long getSerialversionuid() {
		return serialVersionUID;
	}


	public Map getParams() {
        return params;
    }

    public void setParams(Map params) {
        this.params = params;
    }

    public QuestionType() {
    }
}
