package com.qmth.cqb.genpaper.model;

import com.qmth.cqb.question.model.Question;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 组卷规则类
 * Created by songyue on 16/12/27.
 */
public class GenPaperRule implements Serializable{
    private static final long serialVersionUID = 6015250738786576931L;

    private String ruleName;//规则名称

    private List<Question> choseQuestions;//选择试题集合

    private Map params;//组卷动态规则

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public List<Question> getChoseQuestions() {
        return choseQuestions;
    }

    public void setChoseQuestions(List<Question> choseQuestions) {
        this.choseQuestions = choseQuestions;
    }

    public Map getParams() {
        return params;
    }

    public void setParams(Map params) {
        this.params = params;
    }

    public GenPaperRule() {
    }
}
